Setup GNS3 Server w/ IOU support on a remote server (CLI only)

Get a VPS to host your GNS3 Server (or use an existing server you have)

  1. Go to VPS Dime (This link gives me credit for the referral)
  2. Create an instance using Ubuntu 16.04 LTS (Xenial)

Install GNS3

  • add-apt-repository ppa:gns3/ppa
  • apt-get update
  • apt-get install python3-setuptools python3-pyqt4 python3-ws4py python3-netifaces
  • apt-get install cmake libelf-dev uuid-dev libpcap-dev software-properties-common
  • apt-get install libssl1.0.0/xenial libssl-dev/xenial openssl/xenial
  • apt-get install gns3-server
  • dpkg –add-architecture i386 (two dashes, add, dash,architecture,space,i386)
  • apt-get update
  •  apt-get install gns3-iou
  • setcap cap_net_raw+ep /usr/bin/iouyap (If you want details)

Stuff you need to figure out 🙂

  • Get your IOU images and upload them
  • Install your iou license
    • Vi ~/.iourc
    • echo ‘127.0.0.127 xml.cisco.com’ >> /etc/hosts

Start using your GNS3 server from your GNS3 client

  • Make sure your client and server versions match or it will yell at you

Now to create a docker container to run this on my Synology instead of a externally hosted VPS

 

 

3 Replies to “Setup GNS3 Server w/ IOU support on a remote server (CLI only)”

  1. nice tutorial mate… unfortunately, i am unable to install gns3-iou. I’m trying to install gns3 server w/ iou on ubuntu 16.04 server 32bit architecture…

    here’s the error message/s i get

    sysadmin@ls:~$ sudo apt-get install gns3-iou
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    gns3-iou : Depends: lib32z1 but it is not installable
    E: Unable to correct problems, you have held broken packages

  2. So, there are a couple of tweaks to the directions…

    After ‘apt-get install gns3-server’ you’ll need to do:
    ‘dpkg –add-architecture i386′ (two dashes, add, dash, architecture, space, i386’
    After that command completes successfully, it’s necessary to do:
    ‘apt-get update’
    again, because apt needs the i386 architecture indexes. After that,
    ‘apt-get install gns3-iou’
    ought to work fine.

    1. Thanks for pointing out that the two dashes look like one on the page. I added commentary after that line to place emphasis on the double dashes.

      Thanks!

Leave a Reply